Why the date command for time is incorrect and different from the
correct one on panel bar
$ date +%H
04
$ date +%I
04
while the correct is on panel bar which is 11 (real in 0..24 form, i.e. AM)
Please help this confusing trouble
On 5/30/23 1:17 AM, Wiley Young wrote:
Hi,
While trying to capture line numbers in an array to print with the rest
of the shell's debugging info, a segfault ..
Wiley
Thanks for the report. This will be fixed in the next devel branch push.
--
``The lyf so short, the craft so l
On Fri, Jun 02, 2023 at 09:01:11AM -0400, Chet Ramey wrote:
> On 6/1/23 9:01 PM, rpaufin1 wrote:
> > Consider the following script:
> >
> > #!/bin/bash
> >
> > f() {
> > ls missing-file 2> /dev/null
> > echo "test"
> > }
> >
> > # 1
> > (set -e; f); ret=$?
> > if (( ret )); the
On 6/1/23 9:01 PM, rpaufin1 wrote:
Consider the following script:
#!/bin/bash
f() {
ls missing-file 2> /dev/null
echo "test"
}
# 1
(set -e; f); ret=$?
if (( ret )); then
echo "failed"
exit 1
fi
# 2
(set -e; f) || {
echo "failed"
exit 1
}
Date:Fri, 02 Jun 2023 01:01:08 +
From:rpaufin1
Message-ID:
| What's going on here? I'm using the latest release, Bash 5.2.15.
Bash is doing what it it is supposed to be doing. Just don't use -e
unless you are an expert in what it actually means, and once yo
On 6/2/23 4:01 AM, rpaufin1 wrote:
However, the result should be the same.
The manual says otherwise:
The shell does not exit if the command that fails is [...] part of any
command executed in a && or || list except the command following the
final && or ||